Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028284
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2014-11-26 08:032014-11-26 08:11
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchpiFixed in SCM revisionc2b7f19a54e9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028284: Grid Configuration for High Volume Windows

DescriptionAdd new grid configurations to optimize work of windows with very large number of data:
** Define fields to be non sortable or filterable
** Define which criteria (iEquals, Equals, iStartsWith, StartsWith, iContains or Contains) is applied to fields when filtering
** Define tabs to apply all filter criteria at once after user's request
Steps To Reproducehttp://wiki.openbravo.com/wiki/Projects:Grid_Configuration [^]
http://wiki.openbravo.com/wiki/User_Interface_Introduction#Grid_Filter_Configuration [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028281 closedNaroaIriarte Funnel icon is not hidden after clearing the filters when using lazy filtering 
related to design defect 0028279 newAugustoMauch It is not possible to define grid configuration at field level for audit columns 
related to defect 0028182 acknowledgedplatform UI error when ordering a column using Lazy Filtering on Grid 
related to defect 0026448 acknowledgedplatform Check icon in grid is not aligned properly 
related to defect 0028478 closedNaroaIriarte view generation: unneeded queries to grid config tables 
related to defect 00319043.0PR16Q2 closedcaristu "Filter on change" option set to N in Grid Configuration at Window/Tab/Field Level does not work 
related to design defect 0032053 acknowledgedplatform Grid Configuration -> Filter on change option applies only to text fields 
causes defect 0028220 closedAugustoMauch If lazy filtering is configure in a subtab, filtering by one of its foreign keys does not apply selected parent filter 
causes defect 0028229 closedAugustoMauch Error in Pick and Execute windows when using Lazy Filtering 

-  Notes
(0072009)
alostale (developer)
2014-11-26 08:11

closing, this FR was created after the project was closed + QAed just to keep track of other related issues

- Issue History
Date Modified Username Field Change
2014-11-26 08:03 alostale New Issue
2014-11-26 08:03 alostale Assigned To => AugustoMauch
2014-11-26 08:03 alostale Modules => Core
2014-11-26 08:03 alostale Triggers an Emergency Pack => No
2014-11-26 08:04 alostale Relationship added causes 0028220
2014-11-26 08:04 alostale Relationship added causes 0028229
2014-11-26 08:05 alostale Relationship added related to 0028281
2014-11-26 08:05 alostale Relationship added related to 0028279
2014-11-26 08:05 alostale Status new => scheduled
2014-11-26 08:05 alostale fix_in_branch => pi
2014-11-26 08:10 alostale Status scheduled => resolved
2014-11-26 08:10 alostale Fixed in Version => 3.0MP31
2014-11-26 08:10 alostale Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/c2b7f19a54e9 [^]
2014-11-26 08:10 alostale Resolution open => fixed
2014-11-26 08:11 alostale Review Assigned To => alostale
2014-11-26 08:11 alostale Note Added: 0072009
2014-11-26 08:11 alostale Status resolved => closed
2014-11-28 09:18 alostale Relationship added related to 0028182
2014-11-28 12:28 alostale Relationship added related to 0026448
2014-12-23 16:00 alostale Relationship added related to 0028478
2016-01-29 09:56 alostale Relationship added related to 0031904
2016-01-29 10:00 alostale Relationship added related to 0032053


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker